import { Vec3 } from "./vec";
import { Mat3 } from "./mat";
/**
 * Note quoternion must have exactly 4 elements even though the type signature
 * does note show it.
 */
export declare type Quot = [Vec3, number];
export declare function ident(): Quot;
export declare function fromAxisAngle(axis: Vec3, angle: number): Quot;
export declare function toMatrix([[x, y, z], w]: Quot): Mat3;
export declare function inv([vec, w]: Quot): Quot;
export declare function conj([vec, w]: Quot): Quot;
export declare function mul([uv1, w1]: Quot, [uv2, w2]: Quot): Quot;
export declare function rotate(quot: Quot, vec: Vec3): Vec3;
export declare function lerp([uv1, w1]: Quot, [uv2, w2]: Quot, interPos: number): Quot;
export declare function slerp([uv1, w1]: Quot, [uv2, w2]: Quot, interPos: number): Quot;
